Issue416

Title ImportError: Missing required dependencies
Priority bug Status chatting
Superseder Nosy List Jakub_Wys
Assigned To Keywords

Created on 2018-09-19.14:23:56 by Jakub_Wys, last changed by Jakub_Wys.

Messages
msg2549 (view) Author: Jakub_Wys Date: 2018-10-01.15:39:58
Sorry for late answer, I was on sickleave. I was trying to implement what is
written in the issue that you've sent. Unfortunately it didn't work. I get
anyway same error.
msg2533 (view) Author: kayhayen Date: 2018-09-22.14:33:36
I have researched this some. Please follow it here, issue tracking is on GH, you 
probably found the one remaining link on the web site that I just fixed.

https://github.com/Nuitka/Nuitka/issues/146
msg2532 (view) Author: kayhayen Date: 2018-09-20.06:42:49
I recall that pkg_resources checks for installed dependencies has caused issues 
in the past, but I am not sure right now, if that is supposed to still be the 
case.

But I will look into it.

Yours,
Kay
msg2531 (view) Author: Jakub_Wys Date: 2018-09-19.14:23:56
Hi,
I'm calling:
c:\python\python.exe -m nuitka --standalone --recurse-all
c:\program_dir\program.py --output-dir c:\output_dir --remove-output
--windows-icon c:\the_icon.ico

While calling generated file I got following error:
File "C:\output_dir\program.dist\pandas\__init__.py, in <module pandas>
ImportError: Missing required dependencies ['numpy']

In that location there is no __init__.py.
On Stackoverflow I found that someone had similar problem and it was solved by
pip installing each of the libraries, not by dependency (like pandas installs
numpy because it uses it). So I did it, but the error does not change. 

If it connects I have dependency walker in suggested location
"C:\Users\WysokiJ1\AppData\Local\Nuitka\Nuitka"
History
Date User Action Args
2018-10-01 15:39:58Jakub_Wyssetstatus: resolved -> chatting
messages: + msg2549
2018-09-26 07:35:31kayhayensetstatus: chatting -> resolved
2018-09-22 14:33:37kayhayensetmessages: + msg2533
2018-09-20 06:42:49kayhayensetstatus: unread -> chatting
messages: + msg2532
2018-09-19 14:23:56Jakub_Wyscreate